NotAListException
Date: 2016-02-29

de.zib.scalaris

## Class NotAListException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ericsson.otp.erlang.OtpException
      - - com.ericsson.otp.erlang.OtpErlangException
        - - de.zib.scalaris.NotAListException

- All Implemented Interfaces:
    Serializable

      public class NotAListException
      extends OtpErlangException

  Exception that is thrown if a add_del_on_list operation on a scalaris ring fails because the participating values are not lists.
  Since:
    3.8
  Version:
    3.8
  Author:
    Nico Kruber, kruber@zib.de
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotAListException()` Creates the exception with no message.
    `NotAListException(OtpErlangObject erlValue)` Creates an exception including the message of the given erlang object.
    `NotAListException(String msg)` Creates the exception with the given message.
    `NotAListException(Throwable e)` Creates an exception taking the message of the given throwable.
    `NotAListException(Throwable e, OtpErlangObject erlValue)` Creates an exception taking the message of the given throwable.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotAListException

          public NotAListException()

      Creates the exception with no message.

    - #### NotAListException

          public NotAListException(String msg)

      Creates the exception with the given message.
      Parameters:
        `msg` - message of the exception

    - #### NotAListException

          public NotAListException(Throwable e)

      Creates an exception taking the message of the given throwable.
      Parameters:
        `e` - the exception to "re-throw"

    - #### NotAListException

          public NotAListException(OtpErlangObject erlValue)

      Creates an exception including the message of the given erlang object.
      Parameters:
        `erlValue` - the erlang message to include

    - #### NotAListException

          public NotAListException(Throwable e,
                           OtpErlangObject erlValue)

      Creates an exception taking the message of the given throwable.
      Parameters:
        `e` - the exception to "re-throw"
        `erlValue` - the string representation of this erlang value is included into the message